[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: New package in repository but no upgrade



On Mon, Sep 15, 2008 at 05:48:58PM +0200, "\"Stefan C. Müller\"" <stefan@s-mueller.ch> was heard to say:
> Eugene V. Lyubimkin wrote:
>> Show 'apt-cache policy clamav' to us.
>>
>>   
>
> clamav:
>  Installed: 0.93.1.dfsg-volatile1
>  Candidate: 0.93.1.dfsg-volatile1
>  Version table:
> *** 0.93.1.dfsg-volatile1 0
>        500 http://volatile.debian.org etch/volatile/main Packages
>        100 /var/lib/dpkg/status
>     0.90.1dfsg-3etch11 0
>        500 http://ftp.debian.org etch/main Packages
>        500 http://security.debian.org etch/updates/main Packages

  apt doesn't know about 0.94.  There are two easy possibilities:

    (a) you're running an architecture that doesn't have the new clamav
        yet.  As of this writing, alpha, arm, mips, and mipsel have not
        yet been recompiled.

    (b) something between you and the Debian mirror (e.g., a transparent
        caching proxy) is giving you an old copy of the Packages file.

  Checking out (b): assuming you're on i386, do you see version 0.94 if
you open this URL in a Web browser from the computer that has the problem?

    http://volatile.debian.org/debian-volatile/dists/etch/volatile/main/binary-i386/Packages

  Danile


Reply to: